# E-Challan Details

The E-Challan Details API is a comprehensive tool designed to provide access to electronic traffic violation records and related information. This API is used to retrieve detailed information about e-challans issued for traffic violations, including fine amounts, violation types, vehicle details, and payment status.

### ind\_rc\_challan

`POST` `https://secctrl.tutelar.io/api/v1/kyc/utility/ind_rc_challan`

#### Post parameters description is given below

| Post Parameter   | Type   | Is Mandatory | Description                     |
| ---------------- | ------ | -----------: | ------------------------------- |
| `rc_number`      | String |          Yes | Registration Certificate Number |
| `chassis_number` | String |          Yes | Chassis Number                  |

#### Sample Post Parameters

```json
{
  "rc_number": "TN03AE5103",
  "chassis_number": "MD2A11CX7MCC28661"
}
```

200: Success Response

400: Validation Error Response

```json
{
  "success": true,
  "code": 200,
  "message": "Document verification completed successfully.",
  "status": "completed",
  "reference_id": "927bcce6-4eff-42b4-8a1c-6058b301db25",
  "result": {
    "document_status": "SUCCESS",
    "challans": [
      {
        "number": 1,
        "challan_number": "TN14188230901110721",
        "offense_details": "Driving a motor cycle without a protective headgear (helmet)/ Driving a motor cycle or causing or allowing a motor cycle to be driven in contravention of the provisions of section 129 of the Motor vehicles Act,1988",
        "challan_place": null,
        "challan_date": "2023-09-01",
        "state": "TN",
        "rto": null,
        "upstream_code": "CENTRAL_2",
        "accused_name": "GOWTHAM R",
        "amount": 1000,
        "challan_status": "Disposed",
        "court_challan": false
      },
      {
        "number": 2,
        "challan_number": "TN14245230415181059",
        "offense_details": "Stop line violation",
        "challan_place": null,
        "challan_date": "2023-04-15",
        "state": "TN",
        "rto": null,
        "upstream_code": "CENTRAL_2",
        "accused_name": "GOWTHAM R",
        "amount": 500,
        "challan_status": "Disposed",
        "court_challan": false
      },
      {
        "number": 3,
        "challan_number": "TN16225230121133717",
        "offense_details": "No entry / Wrong side driving",
        "challan_place": null,
        "challan_date": "2023-01-21",
        "state": "TN",
        "rto": null,
        "upstream_code": "CENTRAL_2",
        "accused_name": "GOWTHAM R",
        "amount": 500,
        "challan_status": "Disposed",
        "court_challan": false
      }
    ]
  },
  "requested_at": "2023-11-14T08:53:04.074Z",
  "completed_at": "2023-11-24T11:40:22.495Z"
}
```

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Invalid rc number",
    "field": "rc_number",
    "code": "BAD_REQUEST"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/e-challan-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
